## org.hibernate.metamodel.source.binder
Interface EntityHierarchy

All Known Implementing Classes:
  EntityHierarchyImpl, EntityHierarchyImpl

    public interface EntityHierarchy

Models the source-agnostic view of an entity hierarchy.

Method Summary
`InheritanceType` `getHierarchyInheritanceType()` The inheritance type/strategy for the hierarchy.
`RootEntitySource` `getRootEntitySource()` Obtain the hierarchy's root entity.

Method Detail

### getHierarchyInheritanceType

    InheritanceType getHierarchyInheritanceType()

  The inheritance type/strategy for the hierarchy.

  NOTE : The entire hierarchy must comply with the same inheritance strategy.

  Returns:
    The inheritance type.

### getRootEntitySource

    RootEntitySource getRootEntitySource()

  Obtain the hierarchy's root entity.

  Returns:
    THe root entity.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.